# lico-image-docker
This is for make docker images

## Installation
docker

## Usage

### build image from local file
You can make all the images at once

```
make all 
```
You can make all the images of a specific framework at once, all the images are in the dist directory

```
make caffe   

make tensorflow 

make mxnet 

make neon 

make chainer 

make intel-python

make intel-caffe

make pytorch

make letrain 

make jupyter

make lico-file-manager

make lico-k8s-client
```
You can also make a image at a time

The image naming method is: Frame Name:File Name

```
make caffe-cpu    

make caffe-gpu

make intel-caffe

make tensorflow1

make tensorflow-mkl

make tensorflow-hbase

make tensorflow-keras

make tensorflow-mongodb

make tensorflow2

make mxnet-cpu

make mxnet-gpu

make neon

make chainer

make pytorch

make scikit

make intel-python

make letrain

make jupyter

make lico-file-manager

make lico-k8s-client
```
## Description of the use of images

| Build Image        | Image Name    | Description   |
| :--------   | :-----  | :---- |
| make caffe-cpu            | caffe:caffe-1.0-cpu                          | submit caffe cpu jobs |
| make caff-gpu             | caffe:caffe-1.0-gpu-cuda92                   | submit caffe gpu jobs |
| make tensorflow-mkl       | tensorflow:tensorflow-1.15.3-mkl             | submit tensorflow cpu jobs with mkl |
| make tensorflow1          | tensorflow:tensorflow-1.15.3-cuda110         | submit tensorflow jobs |
| make tensorflow-hbase     | tensorflow:tensorflow-1.15.3-cuda110-hbase   | submit tensorflow gpu jobs with hbase|
| make tensorflow-keras     | tensorflow:tensorflow-1.15.3-cuda110-keras   | submit tensorflow gpu jobs with keras |
| make tensorflow-mongodb   | tensorflow:tensorflow-1.15.3-cuda110-mongodb | submit tensorflow gpu jobs with mongodb |
| make tensorflow2          | tensorflow:tensorflow-2.2.0-cuda110          | submit the version 2.2.0 of the tensorflow jobs |
| make mxnet-cpu            |mxnet:mxnet-1.5.0-cpu-mkl                     | submit mxnet cpu jobs   |
| make mxnet-gpu            | mxnet:mxnet-1.5.0-gpu-mkl-cuda100            | submit mxnet gpu jobs   |
| make intel-caffe          | intel-caffe:intel-caffe-1.1.3-cpu            | submit intel-caffe jobs |
| make intel-python         | intel-python:intel-python                    | intel-python images |
| make neon                 | neon:neon-2.6-cpu                            | submit neon jobs    |
| make chainer              | chainer:chainer-6.7.0-gpu-cuda101            | submit chainer jobs |
| make letrain              | letrain:letrain-1.3.1-cuda110                | submit letrain jobs |
| make pytorch              | pytorch:pytorch-1.7.0-cuda110                | submit pytorch jobs |
| make lico-file-manager    | lico-file-manager:latest                     | file system service |
| make lico-k8s-client      | lico-k8s-client:latest                       | collect running job logs |
